<?php

use EwKit\Theme\ArchivePageTemplate;
use Infomaker\Everyware\Support\NewRelicLog;
use Infomaker\Everyware\Twig\View;

$archivePage = new ArchivePageTemplate(
    get_query_var('year'),
    get_query_var('monthnum'),
    get_query_var('day')
);

try {
    View::render('@base/archive-page', $archivePage->getViewData());
} catch (Twig_Error $e) {
    NewRelicLog::error('Error when rendering Archive page', $e);
}
